#include <iostream.h>
#include <iomanip.h>
#include <math.h>
#include <conio.h>
#include <stdlib.h>
class Length{//class declaration

public:
	Length();
	int unitChoice();
	void enterEnglish();
	void enterMetric();
	void convertToEnglish();
	void convertToMetric();
	void printEnglish();
	void printMetric();
private:
	float meters;
	float totalInch;
        float temp;
	float miles;
	float feet;
	float inches;
	float enter;
};

Length::Length(){meters=miles=feet=inches=0;}//constructor


int Length::unitChoice(){
//clrscr();
cout << "Unit conversion program" << endl << endl;
cout << "Enter (1) for English to Metric Conversion " << endl << endl;
cout << "Enter (2) for Metric to English Conversion " << endl << endl;
cin >> enter;
return (enter);
}

void Length::enterEnglish(){
cout << "Enter miles " << endl;
cin >> miles;
cout << "Enter feet " << endl;
cin >> feet;
cout << "Enter inches " << endl;
cin >> inches;
}

void Length::enterMetric(){
//clrscr();
cout << "Enter meters " << endl;
cin >> meters;
}

void Length::convertToEnglish(){
//converts meters to inches and then computes english units
totalInch = meters * 39.37; //calculates total amount of inches
miles = totalInch / 63360; //calculates amount of miles
miles = (int)miles; //converts miles to a whole number
temp = totalInch - (miles * 63360);//calculates remainding amount of inches after miles
feet = temp / 12;//calculates amount of feet
feet = (int) feet;//converts feet to a whole number
inches = totalInch - ((miles * 63360) + (feet * 12));//calculates remaining amount of inches
}

void Length::convertToMetric(){
//converts all values to inches and then sums the values and converts to metric
totalInch = miles * 63360;//converts miles to inches
totalInch = (feet * 12) + totalInch;//converts feet to inches and adds to total inches
totalInch = inches + totalInch;//adds inches to total inches
meters = totalInch / 39.37;//converts total inches to meters
}

void Length::printEnglish(){
//clrscr();
cout << "Number of meters entered " <<  meters << endl<<endl;//prints meters entered
cout << "English units after conversion" << endl<<endl;
cout<<  miles  << " Miles "<< feet  << " Feet " ;
cout.precision(1);
cout.setf(ios::fixed, ios::floatfield);
cout  << inches << " Inches "<< endl<<endl;//prints inches
}

void Length::printMetric(){
//prints entered english units and metric equivalent
//clrscr();
cout << "English units entered" << endl << endl;
cout << miles << " Miles " <<  feet << " Feet " <<  inches << " Inches "  << endl << endl;
cout << "is equivalent to" << endl << endl;
cout.precision(2);
cout.setf(ios::fixed, ios::floatfield);
cout << meters << "  Meters" << endl << endl;//prints meters
}

void main()
{//begin of main
Length l; //object of class length
int choice;
//clrscr();
choice = l.unitChoice(); //calls unitChoice of the length class
switch (choice)
{//begin of switch
case 1:
//clrscr();
l.enterEnglish();//public call to length class
l.convertToMetric();//public call to length class
l.printMetric();//public call to length class
break;
case 2:
//clrscr();
l.enterMetric();//public call to length class
l.convertToEnglish();//public call to length class
l.printEnglish();//public call to length class
break;
default:
cout << "Wrong entry, try again!";//error messsage
exit(1);//exits program from the switch
}//end of switch
cout << "Thank you for using this program" << endl;
}//end of main


